<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('user_roles', function(Blueprint $table) {
			$table->foreign('users_id')->references('uid')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('user_roles', function(Blueprint $table) {
			$table->foreign('rid')->references('rid')->on('roles')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('plan_features', function(Blueprint $table) {
			$table->foreign('subplan_id')->references('pid')->on('plans')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('plan_features', function(Blueprint $table) {
			$table->foreign('feature_id')->references('id')->on('features')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('user_plans', function(Blueprint $table) {
			$table->foreign('uid')->references('uid')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('user_plans', function(Blueprint $table) {
			$table->foreign('subplan_id')->references('id')->on('plan_subplan')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('role_permissions', function(Blueprint $table) {
			$table->foreign('rid')->references('rid')->on('roles')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('support_requests', function(Blueprint $table) {
			$table->foreign('uid')->references('uid')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('comments', function(Blueprint $table) {
			$table->foreign('sid')->references('sid')->on('support_requests')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('comments', function(Blueprint $table) {
			$table->foreign('uid')->references('uid')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('knowledge_doc_subheadings', function(Blueprint $table) {
			$table->foreign('hid')->references('id')->on('knowledge_doc_subheadings')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('mail_providers', function(Blueprint $table) {
			$table->foreign('uid')->references('uid')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('template_category', function(Blueprint $table) {
			$table->foreign('tid')->references('id')->on('template_popup')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('template_category', function(Blueprint $table) {
			$table->foreign('cid')->references('id')->on('category')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('template_popup', function(Blueprint $table) {
			$table->foreign('uid')->references('uid')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('domains', function(Blueprint $table) {
			$table->foreign('uid')->references('uid')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('stats', function(Blueprint $table) {
			$table->foreign('uid')->references('uid')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('popup_rules', function(Blueprint $table) {
			$table->foreign('did')->references('id')->on('domains')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('popup_rules', function(Blueprint $table) {
			$table->foreign('pid')->references('id')->on('stats')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('popup_rules', function(Blueprint $table) {
			$table->foreign('mid')->references('id')->on('mail_providers')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('admin_blocked_popups', function(Blueprint $table) {
			$table->foreign('uid')->references('uid')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('admin_blocked_popups', function(Blueprint $table) {
			$table->foreign('pid')->references('id')->on('stats')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('ab_popup', function(Blueprint $table) {
			$table->foreign('abid')->references('id')->on('ab_tests')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('ab_popup', function(Blueprint $table) {
			$table->foreign('pid')->references('id')->on('stats')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('states', function(Blueprint $table) {
			$table->foreign('country_id')->references('id')->on('country')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('user_roles', function(Blueprint $table) {
			$table->dropForeign('user_roles_users_id_foreign');
		});
		Schema::table('user_roles', function(Blueprint $table) {
			$table->dropForeign('user_roles_rid_foreign');
		});
		Schema::table('plan_features', function(Blueprint $table) {
			$table->dropForeign('plan_features_subplan_id_foreign');
		});
		Schema::table('plan_features', function(Blueprint $table) {
			$table->dropForeign('plan_features_feature_id_foreign');
		});
		Schema::table('user_plans', function(Blueprint $table) {
			$table->dropForeign('user_plans_uid_foreign');
		});
		Schema::table('user_plans', function(Blueprint $table) {
			$table->dropForeign('user_plans_subplan_id_foreign');
		});
		Schema::table('role_permissions', function(Blueprint $table) {
			$table->dropForeign('role_permissions_rid_foreign');
		});
		Schema::table('support_requests', function(Blueprint $table) {
			$table->dropForeign('support_requests_uid_foreign');
		});
		Schema::table('comments', function(Blueprint $table) {
			$table->dropForeign('comments_sid_foreign');
		});
		Schema::table('comments', function(Blueprint $table) {
			$table->dropForeign('comments_uid_foreign');
		});
		Schema::table('knowledge_doc_subheadings', function(Blueprint $table) {
			$table->dropForeign('knowledge_doc_subheadings_hid_foreign');
		});
		Schema::table('mail_providers', function(Blueprint $table) {
			$table->dropForeign('mail_providers_uid_foreign');
		});
		Schema::table('template_category', function(Blueprint $table) {
			$table->dropForeign('template_category_tid_foreign');
		});
		Schema::table('template_category', function(Blueprint $table) {
			$table->dropForeign('template_category_cid_foreign');
		});
		Schema::table('template_popup', function(Blueprint $table) {
			$table->dropForeign('template_popup_uid_foreign');
		});
		Schema::table('domains', function(Blueprint $table) {
			$table->dropForeign('domains_uid_foreign');
		});
		Schema::table('stats', function(Blueprint $table) {
			$table->dropForeign('stats_uid_foreign');
		});
		Schema::table('popup_rules', function(Blueprint $table) {
			$table->dropForeign('popup_rules_did_foreign');
		});
		Schema::table('popup_rules', function(Blueprint $table) {
			$table->dropForeign('popup_rules_pid_foreign');
		});
		Schema::table('popup_rules', function(Blueprint $table) {
			$table->dropForeign('popup_rules_mid_foreign');
		});
		Schema::table('admin_blocked_popups', function(Blueprint $table) {
			$table->dropForeign('admin_blocked_popups_uid_foreign');
		});
		Schema::table('admin_blocked_popups', function(Blueprint $table) {
			$table->dropForeign('admin_blocked_popups_pid_foreign');
		});
		Schema::table('ab_popup', function(Blueprint $table) {
			$table->dropForeign('ab_popup_abid_foreign');
		});
		Schema::table('ab_popup', function(Blueprint $table) {
			$table->dropForeign('ab_popup_pid_foreign');
		});
		Schema::table('states', function(Blueprint $table) {
			$table->dropForeign('states_country_id_foreign');
		});
	}
}